apiVersion: v1
kind: Secret
metadata:
{% if has_ca is defined and has_ca.resources is defined and has_ca.resources | length > 0 and has_ca.resources[0].metadata.labels is defined and has_ca.resources[0].metadata.labels['opsperator.io/ca'] is defined %}
  labels:
    opsperator.io/ca: {{ has_ca.resources[0].metadata.labels['opsperator.io/ca'] }}
{% endif %}
  name: {{ svc_gen_keypair }}
  namespace: {{ namespace }}
stringData:
{% if sc_ca_data is defined and (sc_ca_data.stdout_lines[0] | default('')) != "" %}
  ca.hash: {{ sc_ca_hash.stdout_lines[0] }}
  ca.crt: |
{% for line in sc_ca_data.stdout_lines | default([]) %}
    {{ line }}
{% endfor %}
{% endif %}
{% if sc_crt_data is defined and (sc_crt_data.stdout_lines[0] | default('')) != "" %}
  tls.crt: |
{% for line in sc_crt_data.stdout_lines | default([]) %}
    {{ line }}
{% endfor %}
{% if sc_fp_data is defined and (sc_fp_data.stdout_lines[0] | default('')) != "" %}
  fingerprint-sha1: {{ sc_fp_data.stdout_lines[0] }}
{% endif %}
{% if sc_fp256_data is defined and (sc_fp256_data.stdout_lines[0] | default('')) != "" %}
  fingerprint-sha256: {{ sc_fp256_data.stdout_lines[0] }}
{% endif %}
{% endif %}
{% if sc_key_data is defined and (sc_key_data.stdout_lines[0] | default('')) != "" %}
  tls.key: |
{% for line in sc_key_data.stdout_lines | default([]) %}
    {{ line }}
{% endfor %}
{% endif %}
type: kubernetes.io/tls
